package com.simuwang.base.pojo.valuation;

import java.util.List;

public class AssetsValuationResult {
	private int okNum;
	private int errorNum;
	private List<Record> okList;
	private List<Record> errorList;

	public int getOkNum() {
		return okNum;
	}

	public AssetsValuationResult setOkNum(int okNum) {
		this.okNum = okNum;
		return this;
	}

	public int getErrorNum() {
		return errorNum;
	}

	public AssetsValuationResult setErrorNum(int errorNum) {
		this.errorNum = errorNum;
		return this;
	}

	public List<Record> getOkList() {
		return okList;
	}

	public AssetsValuationResult setOkList(List<Record> okList) {
		this.okList = okList;
		return this;
	}

	public List<Record> getErrorList() {
		return errorList;
	}

	public AssetsValuationResult setErrorList(List<Record> errorList) {
		this.errorList = errorList;
		return this;
	}

	public static class Record {
		public String excelName;
		public String msg;
		public int rowNum;
		public int columnNum;
		/**
		 * 估值表id
		 */
		private Integer valuationId;
		/**
		 * 估值日期
		 */
		private String date;
		/**
		 * 单位净值
		 */
		private String nav;
		/**
		 * 累计净值
		 */
		private String cumulativeNavWithdrawal;
		/**
		 * 解析表格得到的基金名称和备案编码
		 */
		private ParseValuationInfo parseValuationInfo;
		/**
		 * 匹配上的基金id
		 */
		private String fundId;
		/**
		 * 解析状态:0-失败,1-成功
		 */
		private Integer success;

		/**
		 * 资产净值(资产净值112)
		 */
		private String assetNet;

		/**
		 * 资产份额(实收资本107)
		 */
		private String assetShare;

		public Integer getValuationId() {
			return valuationId;
		}

		public void setValuationId(Integer valuationId) {
			this.valuationId = valuationId;
		}

		public String getAssetShare() {
			return assetShare;
		}

		public void setAssetShare(String assetShare) {
			this.assetShare = assetShare;
		}

		public String getAssetNet() {
			return assetNet;
		}

		public void setAssetNet(String assetNet) {
			this.assetNet = assetNet;
		}

		public ParseValuationInfo getParseValuationInfo() {
			return parseValuationInfo;
		}

		public void setParseValuationInfo(ParseValuationInfo parseValuationInfo) {
			this.parseValuationInfo = parseValuationInfo;
		}

		public String getFundId() {
			return fundId;
		}

		public void setFundId(String fundId) {
			this.fundId = fundId;
		}

		public Integer getSuccess() {
			return success;
		}

		public Record setSuccess(Integer success) {
			this.success = success;
			return this;
		}

		public String getExcelName() {
			return excelName;
		}

		public Record setExcelName(String excelName) {
			this.excelName = excelName;
			return this;
		}

		public String getMsg() {
			return msg;
		}

		public Record setMsg(String msg) {
			this.msg = msg;
			return this;
		}

		public int getRowNum() {
			return rowNum;
		}

		public Record setRowNum(int rowNum) {
			this.rowNum = rowNum;
			return this;
		}

		public int getColumnNum() {
			return columnNum;
		}

		public Record setColumnNum(int columnNum) {
			this.columnNum = columnNum;
			return this;
		}

		public String getDate() {
			return date;
		}

		public void setDate(String date) {
			this.date = date;
		}

		public String getNav() {
			return nav;
		}

		public void setNav(String nav) {
			this.nav = nav;
		}

		public String getCumulativeNavWithdrawal() {
			return cumulativeNavWithdrawal;
		}

		public void setCumulativeNavWithdrawal(String cumulativeNavWithdrawal) {
			this.cumulativeNavWithdrawal = cumulativeNavWithdrawal;
		}

		@Override
		public String toString() {
			return "Record [excelName=" + excelName + ", msg=" + msg + ", rowNum=" + rowNum + ", columnNum=" + columnNum + ", date=" + date + ", nav=" + nav + ", cumulativeNav="
					+ cumulativeNavWithdrawal + "]";
		}

	}
}
